# Package org.eclipse.m2m.atl.core

Interface Summary
IExtractor: The IExtractor interface defines a way to serialize a given IModel.
IInjector: The IInjector interface defines a way to serialize a given IModel.
IModel: The IModel interface defines a model managed by any framework.
IReferenceModel: The IReferenceModel interface defines a reference model, i.e.

Class Summary
ModelFactory: The ModelFactory abstract class allows to create `IModel` and `IReferenceModel`.

Exception Summary
ATLCoreException: Exceptions thrown by an ATL Core operation.